Bug 3129 - startx can be smarter regarding 'server already running'
: startx can be smarter regarding 'server already running'
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/XFree86-server)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-10-07 20:27 by
Modified: 2005-08-30 02:34 (History)


Attachments
better startx (3.01 KB, text/plain)
2003-10-07 20:28, Michael Shigorin
no flags Details
better startx (updated) (3.01 KB, text/plain)
2003-10-17 20:24, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-10-07 20:27:14
sometimes you would want startx not to complain about :0 being already taken but
just dynamically figure out and use the next free number.  

the attached /usr/X11R6/bin/startx would do just that, while maintaining 100%
compatibility with usual version; it was rewritten with some security in mind
for this inclusion (ldv seems to have no objections for now).

Steps to Reproduce:
startx
Actual Results:  
Fatal server error:
Server is already active for display 0


Expected Results:  
new display
------- Comment #1 From 2003-10-07 20:28:39 -------
Created an attachment (id=292) [details]
better startx
------- Comment #2 From 2003-10-17 20:23:15 -------
umm... used to work until recently when xinit (X, actually) started to complain
like this:

Unrecognized option: /etc/X11/xinit/xserverrc
use: X [:<display>] [option]

the fix is trivial (updated /usr/X11R6/bin/startx reattached):

-xinit $clientargs -- $authdisplay $serverargs -deferglyphs 16 &
+xinit $clientargs -- $serverargs $authdisplay -deferglyphs 16 &

_PS_: hint: this "startx" can be GREAT for Compact-2.3!
------- Comment #3 From 2003-10-17 20:24:47 -------
Created an attachment (id=298) [details]
better startx (updated)

trivial fix for updated xinit
------- Comment #4 From 2003-10-17 22:08:50 -------
seems it would be better to move "-deferglyphs 16" to xserverrc or drop it on
the floor if old problem with heavy performance degradation during (occasional)
attempt to load ("wrong") hieroglyphic font.

I'd stay on the safe side (move not drop).
------- Comment #5 From 2003-10-20 14:49:02 -------
fixed (XFree86-4.3.0-alt5)
------- Comment #6 From 2003-10-22 11:58:48 -------
regarding deferglyphs: it's now xfs-related stuff, already included in
/etc/X11/fs/config; so ok and no need to duplicate it here, really.
------- Comment #7 From 2005-08-30 02:23:27 -------
closing
------- Comment #8 From 2005-08-30 02:34:01 -------
closing